## kdepim 4.14.6

=== messageviewer/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
add_definitions( -DMAIL_DATA_DIR="\\"${CMAKE_CURRENT_SOURCE_DIR}/data\\"" )

include_directories(
  ${CMAKE_SOURCE_DIR}/libkleo
  ${CMAKE_SOURCE_DIR}/messageviewer/
  ${CMAKE_BINARY_DIR}/messageviewer/
  ${Boost_INCLUDE_DIRS}
)
include ( ${CMAKE_SOURCE_DIR}/cmake/modules/kde4_handle_crypto_rpath_for_executable.cmake )

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
add_definitions(-DKMAIL_UNITTESTS=YES)

# convenience macro to add qtest unit tests
macro(add_messageviewer_unittest _source)
  set(_test ${_source} util.cpp)
  get_filename_component(_name ${_source} NAME_WE)
  kde4_add_unit_test(${_name} TESTNAME messageviewer-${_name} ${_test} ${CMAKE_SOURCE_DIR}/messagecore/tests/util.cpp  testcsshelper.cpp)
  target_link_libraries( ${_name}
    messageviewer
    kleo
    ${QGPGME_LIBRARIES}
    ${QT_QTTEST_LIBRARY}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTWEBKIT_LIBRARY}
    ${KDE4_KIO_LIBS}
    ${KDEPIMLIBS_KMIME_LIBS}
    ${KDEPIMLIBS_AKONADI_LIBS}
    ${KDEPIMLIBS_KCALCORE_LIBS}
  )
endmacro ()

add_messageviewer_unittest( htmlquotecolorertest.cpp )
add_messageviewer_unittest( objecttreeparsertest.cpp )
kde4_handle_crypto_rpath_for_executable( objecttreeparsertest )
add_messageviewer_unittest( rendertest.cpp )
kde4_handle_crypto_rpath_for_executable( rendertest )
add_messageviewer_unittest( unencryptedmessagetest.cpp )
kde4_handle_crypto_rpath_for_executable( unencryptedmessagetest )
add_messageviewer_unittest( todoedittest.cpp )
add_messageviewer_unittest( eventedittest.cpp )
add_messageviewer_unittest( eventdatetimewidgettest.cpp )
add_messageviewer_unittest( messagedisplayformatattributetest.cpp )

set( messageviewer_converthtmltoplaintext_SRCS converthtmltoplaintexttest.cpp ../viewer/converthtmltoplaintext.cpp)
kde4_add_unit_test( messageviewer_converthtmltoplaintext ${messageviewer_converthtmltoplaintext_SRCS})
target_link_libraries( messageviewer_converthtmltoplaintext ${QT_QTTEST_LIBRARY} ${KDE4_KDEUI_LIBS} ${Grantlee_GUI_LIBRARIES})


########### viewertest_gui ###############


set(viewertest_gui_SRCS viewertest_gui.cpp)
kde4_add_executable(viewertest_gui TEST ${viewertest_gui_SRCS})
target_link_libraries(viewertest_gui
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTWEBKIT_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${KDEPIMLIBS_KMIME_LIBS}
  messageviewer
)

include(AkonadiMacros)
set(KDEPIMLIBS_RUN_ISOLATED_TESTS TRUE)
set(KDEPIMLIBS_RUN_SQLITE_ISOLATED_TESTS TRUE)

add_akonadi_isolated_test_advanced( viewertest.cpp "" "messageviewer")

=== kmail/mailmerge/tests/CMakeLists.txt ===
include_directories(
  ${CMAKE_SOURCE_DIR}/kmail/mailmerge
)
# convenience macro to add qtest unit tests
macro(add_kmail_unittest _source)
  set(_test ${_source} ../widgets/mailmergewidget.cpp ../widgets/attachmentlistwidget.cpp ../widgets/csvwidget.cpp ../widgets/addressbookwidget.cpp)
  get_filename_component(_name ${_source} NAME_WE)
  kde4_add_unit_test(${_name} TESTNAME kmail-${_name} ${_test})
  target_link_libraries( ${_name}
    pimcommon
    ${QT_QTTEST_LIBRARY}
    ${QT_QTCORE_LIBRARY}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
  )
endmacro ()

add_kmail_unittest( mailmergewidgettest.cpp )


set(mailmergewidget_gui_SRCS mailmergewidgettest_gui.cpp ../widgets/mailmergewidget.cpp ../widgets/attachmentlistwidget.cpp ../widgets/csvwidget.cpp ../widgets/addressbookwidget.cpp)
kde4_add_executable(mailmergewidget_gui TEST ${mailmergewidget_gui_SRCS})
target_link_libraries(mailmergewidget_gui
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  pimcommon
)


# Convenience macro to add unit tests.
macro( kmail_mailmerge _source _additionalsource)
  set( _test ${_source}  ${_additionalsource})
  get_filename_component( _name ${_source} NAME_WE )
  kde4_add_unit_test( ${_name} TESTNAME kmailmailmerge-${_name} ${_test} )
  target_link_libraries( ${_name} ${QT_QTTEST_LIBRARY} ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} )
endmacro()

kmail_mailmerge(addressbookwidgettest.cpp "")
kmail_mailmerge(csvwidgettest.cpp "../widgets/csvwidget.cpp")

=== knotes/print/autotests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR}/../.. )

set( knotes_knotesgrantleeprint_source knotesgrantleeprinttest.cpp  )
kde4_add_unit_test( knotesgrantleeprinttest ${knotes_knotesgrantleeprint_source})
target_link_libraries( knotesgrantleeprinttest ${QT_QTTEST_LIBRARY} ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${KDEPIMLIBS_AKONADI_LIBS} knotesprivate akonadi_next ${KDEPIMLIBS_KMIME_LIBS})

=== debian/changelog ===
kdepim (4:4.14.6-0ubuntu1) vivid; urgency=medium

  * New upstream release 
  * Update watch file

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 15:04:02 -0700

kdepim (4:4.14.5-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Fix watch file. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 11:28:56 -0800

kdepim (4:4.14.4-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release for kde-applications. 
  * Fix watch file to new application location. 
  * Watchfiles will manual updates while these versions do 
    not match the parent applications versions... 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 04 Feb 2015 18:15:48 +0000

kdepim (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Fix extended-description-line-too-long in libkgantt2-0. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 14:01:47 -0700

=== debian/control ===
Source: kdepim
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: akonadi-server (>= 1.9.51),
               baloo-dev (>= 4:4.14.2),
               cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdepimlibs5-dev (>= 4:4.14.2),
               libakonadi-dev (>= 1.10.95),
               libassuan-dev,
               libboost1.55-dev (>= 1.40.0-2),
               libboost-graph1.55-dev (>= 1.40.0-2),
               libgpgme11-dev,
               libgrantlee-dev (>= 0.3.0),
               libkactivities-dev (>= 4:4.13),
               liblink-grammar4-dev,
               libphonon-dev (>= 4:4.6.0really4.3.80),
               libprison-dev,
               libqca2-dev (>= 2.0.0),
               libqjson-dev,
               libqt4-opengl-dev,
               libqtwebkit-dev,
               libsasl2-dev,
               libsearchclient-dev (>= 0.6.3),
               libsoprano-dev (>= 2.9.0),
               libstreamanalyzer-dev (>= 0.6.3),
               libstreams-dev (>= 0.6.3),
               libstrigihtmlgui-dev (>= 0.6.3),
               libstrigiqtdbusclient-dev (>= 0.6.3),
               libxss-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               shared-desktop-ontologies (>= 0.11),
               xsltproc,
               zlib1g-dev,
               baloo-dev,
               libindicate-qt-dev,
               libxml2-dev,
               sharutils,
               libkgapi-dev
Build-Depends-Indep: dblatex
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://pim.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdepim.git
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdepim.git

Package: kdepim
Section: metapackages
Architecture: all
Depends: akonadiconsole (>= ${source:Version}),
         akregator (>= ${source:Version}),
         blogilo (>= ${source:Version}),
         kaddressbook (>= ${source:Version}),
         kalarm (>= ${source:Version}),
         kdepim-kresources (>= ${source:Version}),
         kjots (>= ${source:Version}),
         kleopatra (>= ${source:Version}),
         kmail (>= ${source:Version}),
         knode (>= ${source:Version}),
         knotes (>= ${source:Version}),
         konsolekalendar (>= ${source:Version}),
         kontact (>= ${source:Version}),
         korganizer (>= ${source:Version}),
         ktimetracker (>= ${source:Version}),
         kdepim-runtime,
         ${misc:Depends}
Description: Personal Information Management apps from the official KDE release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of Personal Information Management
 (PIM) desktop applications provided with the official release of KDE.

Package: kdepim-mobile
Section: metapackages
Architecture: all
Depends: kaddressbook-mobile (>= ${source:Version}),
         kmail-mobile (>= ${source:Version}),
         korganizer-mobile (>= ${source:Version}),
         notes-mobile (>= ${source:Version}),
         tasks-mobile (>= ${source:Version}),
         ${misc:Depends}
Description: Personal Information Management apps for mobile environments
 This metapackage includes a collection of official KDE Personal Information
 Management (PIM) applications which have been designed for use in the mobile
 environments. Their feature set and user interface focus on convenience and
 ease of use with touchscreen and potentially small size displays.

Package: kdepim-dev
Architecture: any
Depends: kdepim-runtime, akregator (>= ${binary:Version}),
 kaddressbook (>= ${binary:Version}), kalarm (>= ${binary:Version}),
 kdepim-kresources (>= ${binary:Version}), kjots (>= ${binary:Version}),
 kmail (>= ${binary:Version}),
 knode (>= ${binary:Version}), knotes (>= ${binary:Version}),
 konsolekalendar (>= ${binary:Version}),
 kontact (>= ${binary:Version}), korganizer (>= ${binary:Version}),
 ktimetracker (>= ${binary:Version}),
 libkdepim4 (= ${binary:Version}), libpimcommon4 (= ${binary:Version}),
 kdepimlibs5-dev (>= 4:4.14.2), libphonon-dev (>= 4:4.6.0really4.3.80),
 libgpgme11-dev, libboost1.55-dev, libboost-graph1.55-dev, libsasl2-dev, libxss-dev,
 libqca2-dev (>= 2.0.0), libpisock-dev, libassuan-dev, libstreams-dev,
 libstreamanalyzer-dev, libsearchclient-dev, libstrigihtmlgui-dev,
 libstrigiqtdbusclient-dev, zlib1g-dev, libakonadi-dev (>= 1.2.80),
 ${shlibs:Depends}
Conflicts: kmail (<= 4:4.2.1)
Breaks: knotes (<< 4:4.13.90)
Replaces: kmail (<= 4:4.2.1), knotes (<< 4:4.13.90)
Description: Contains development files needed to compile kdepim applications.
 This package is part of KDE, and a component of the KDE PIM module.
 See the 'kde' and 'kdepim' packages for more information

Package: kdepim-doc
Section: doc
Architecture: all
Suggests: doc-base, konqueror | www-browser
Breaks: kmail (<< 4:4.13.90), kjots (<< 4:4.13.90)
Replaces: kmail (<< 4:4.13.90), kjots (<< 4:4.13.90)
Description: KDE Personal Information Management library documentation
 KDE core library documentation. You need this documentation to develop KDE PIM
 applications.
 .
 This package is part of KDE, and a component of the KDE PIM module.
 See the 'kde' and 'kdepim' packages for more information.

Package: akregator
Section: web
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kontact (<< 4:4.1.80)
Replaces: kontact (<< 4:4.1.80)
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator
 Akregator is a news feed reader. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.
 .
 This package is part of the KDE PIM module.

Package: kaddressbook
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: kdepim-kresources
Breaks: kontact (<< 4:4.1.80), korganizer (<< 4:4.1.80)
Replaces: kontact (<< 4:4.1.80), korganizer (<< 4:4.1.80)
Description: address book and contact data manager
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.
 .
 This package is part of the KDE PIM module.

Package: kaddressbook-mobile
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: kdepim-kresources
Description: address book and contact data manager for mobile environments
 This package provides a convenient application for managing your addresses and
 contacts on mobile devices. It focuses on usability with touchscreen displays
 and potentially small screen sizes.
 .
 This package is part of the KDE PIM module.

Package: kalarm
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: jovie
Homepage: http://www.astrojar.org.uk/kalarm/
Description: alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file. It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
 .
 This package is part of the KDE PIM module.

Package: kdepim-kresources
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: korganizer
Suggests: knotes
Breaks: korganizer (<< 4:4.1.80)
Replaces: korganizer (<< 4:4.1.80)
Description: KDE PIM resource plugins
 This package adds more resource plugins for KDE PIM applications such as
 blogging, tracking feature plans etc.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: storageservicemanager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM storage servicce
 This package adds storage plugins for KDE PIM applications such as
 google-drive and dropbox.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kleopatra
Section: net
Architecture: any
Depends: dirmngr,
         gnupg-agent,
         gnupg2,
         gpgsm,
         pinentry-qt4 | pinentry-x11,
         ${misc:Depends},
         ${shlibs:Depends}
Description: certificate Manager
 Kleopatra is a tool for managing X.509 certificates and pgp keys.
 .
 This package is part of the KDE PIM module.

Package: kmail
Section: mail
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: gnupg-agent, gnupg2, pinentry-qt4 | pinentry-x11
Suggests: clamav,
          kaddressbook,
          kleopatra,
          procmail,
          spamassassin | bogofilter | spambayes (>= 1.0.4-6) | bsfilter | crm114
Breaks: akonadi-kde (<< 4:4.1.3), kmailcvt (<< 4:3.90.0), kontact (<< 4:4.1.80),
# Do not remove before 16.04
 libmessageviewer4 (<< 4:4.13.90),
 libkdepim4 (<< 4:4.13.90)
Replaces: akonadi-kde (<< 4:4.1.3),
          kmailcvt (<< 4:3.90.0),
          kontact (<< 4:4.1.80),
          libmessageviewer4 (<< 4:4.13.90),
          libkdepim4 (<< 4:4.13.90)
Provides: imap-client, mail-reader
Homepage: http://kontact.kde.org/kmail/
Description: full featured graphical email client
 KMail is a fully-featured email client that fits nicely into the KDE
 desktop. It has features such as support for IMAP, POP3, multiple accounts,
 mail filtering and sorting, PGP/GnuPG privacy, and inline attachments.
 .
 This package also contains Nepomuk EMail Feeder Akonadi Agent.
 .
 This package is part of the KDE PIM module.

Package: kmail-mobile
Section: mail
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: email client for mobile environments
 This package provides an email client which has been specially designed for
 use on mobile devices. It focuses on usability with touchscreen displays and
 potentially small screen sizes.
 .
 This package is part of the KDE PIM module.

Package: knode
Section: news
Architecture: any
Depends: kde-runtime, ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-dev (<< 4:3.4.0), kontact (<< 4:4.1.80), libkpgp4 (<< 4:4.10.2)
Replaces: kdepim-dev (<< 4:3.4.0), kontact (<< 4:4.1.80), libkpgp4 (<< 4:4.10.2)
Provides: news-reader
Homepage: http://kontact.kde.org/knode/
Description: graphical news reader
 KNode is an easy-to-use, convenient newsreader. It is intended to be usable
 by inexperienced users, but also includes support for such features as
 MIME attachments, article scoring, and creating and verifying GnuPG
 signatures.
 .
 This package is part of the KDE PIM module.

Package: knotes
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Suggests: kdepim-kresources
Breaks: kontact (<< 4:4.1.80)
Replaces: kontact (<< 4:4.1.80)

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/14.12.3/src/kdepim-([\d\.]*).tar.xz

## kdepim 15.08.2

=== CMakeLists.txt ===
project(kdepim)

cmake_minimum_required(VERSION 2.8.12)

# we need some parts of the ECM CMake helpers
find_package(ECM 5.12.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${kdepim_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMMarkNonGuiExecutable)

include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMAddAppIcon)

# KDEPIM_VERSION
# Version scheme: "x.y.z build".
#
# x is the version number.
# y is the major release number.
# z is the minor release number.
#
# "x.y.z" follow the kdelibs version kdepim is released with.
#
# If "z" is 0, the version is "x.y"
#
# KDEPIM_DEV_VERSION is empty for final versions.
# For development versions "build" is something like "pre", "alpha1", "alpha2", "beta1", "beta2", "rc1", "rc2".
#
# Examples in chronological order:
# 3.0, 3.0.1, 3.1 alpha1, 3.1 beta1, 3.1 beta2, 3.1 rc1, 3.1, 3.1.1, 3.2 pre, 3.2 alpha1

# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
  set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION_NUMBER "5.0.2")
set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")


set(KDEPIMLIBS_LIB_VERSION "4.88.0")
set(KCONTACTS_LIB_VERSION "4.91.0")
set(KCALENDARCORE_LIB_VERSION "4.81.0")
set(IDENTITYMANAGEMENT_LIB_VERSION "4.80.0")
set(KLDAP_LIB_VERSION "4.80.0")
set(KMAILTRANSPORT_LIB_VERSION "4.78.0")
set(CALENDARUTILS_LIB_VERSION "4.80.0")
set(KHOLIDAYS_LIB_VERSION "4.78.0")
set(KTNEF_LIB_VERSION "4.78.0")
set(KIMAP_LIB_VERSION "4.78.0")
set(KMBOX_LIB_VERSION "4.78.0")
set(AKONADICALENDAR_LIB_VERSION "4.80.0")
set(SYNDICATION_LIB_VERSION "4.78.0")
set(GPGME_LIB_VERSION "4.78.0")
set(KONTACTINTERFACE_LIB_VERSION "4.81.0")
set(AKONADIKALARM_LIB_VERSION "4.78.0")
set(KMIME_LIB_VERSION "4.82.0")
set(XMLRPCCLIENT_LIB_VERSION "4.78.0")
set(KBLOG_LIB_VERSION "4.78.0")
set(KPIMTEXTEDIT_LIB_VERSION "4.84.0")

set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}.0")
set(KDEPIM_LIB_SOVERSION "5")
set(AKONADINOTES_LIB_VERSION "4.78.0")

set(QT_REQUIRED_VERSION "5.4.0")
set(KF5_VERSION "5.12.0")
option(KDEPIM_BUILD_EXAMPLES "Build the kdepim example applications." FALSE)
option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)
option(KDEPIM_MOBILE_UI "Build UI for mobile devices instead of for desktops" FALSE)
option(KDEPIM_BUILD_DESKTOP "Build Desktop Applications. Can be deactivated for mobile" TRUE)
option(KDEPIM_NO_WEBKIT "Do not use WebKit in the kdepim applications" FALSE)
option(KDEPIM_NO_TEXTTOSPEECH "Do not use TextToSpeech in the kdepim applications" FALSE)

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test WebKitWidgets Sql Concurrent UiTools Declarative OpenGL)
find_package(Qt5X11Extras NO_MODULE)
if (NOT KDEPIM_NO_TEXTTOSPEECH)
   find_package(Qt5 OPTIONAL_COMPONENTS TextToSpeech)
endif()
find_package(Grantlee5 "5.0" CONFIG REQUIRED)

find_package(Qt5Designer NO_MODULE)
set_package_properties(Qt5Designer PROPERTIES
   PURPOSE "Required to build the Qt Designer plugins"
   TYPE OPTIONAL
)

find_package(Gpgme REQUIRED)

# Find KF5 package
find_package(KF5KDELibs4Support ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Wallet ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5NewStuff ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KCMUtils ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WebKit ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Archive ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5NotifyConfig ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KHtml ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Service ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Auth ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools REQUIRED)
find_package(Phonon4Qt5 CONFIG REQUIRED)
find_package(KF5DNSSD ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5TextEditor ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Sonnet ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5GlobalAccel ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)

# Find KdepimLibs Package
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Akonadi ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Ldap ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Holidays ${KHOLIDAYS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Tnef ${KTNEF_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mbox ${KMBOX_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5Syndication ${SYNDICATION_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Gpgmepp ${GPGME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AlarmCalendar ${AKONADIKALARM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5XmlRpcClient ${XMLRPCCLIENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Blog ${KBLOG_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiNotes ${AKONADINOTES_LIB_VERSION} CONFIG REQUIRED)

if (NOT APPLE)
    find_package(X11)
endif()

set(KDEPIM_HAVE_X11 ${X11_FOUND})
if (KDEPIM_NO_TEXTTOSPEECH)
  set(KDEPIM_HAVE_TEXTTOSPEECH FALSE)
else()
  if (${Qt5TextToSpeech_FOUND}) 
    set(KDEPIM_HAVE_TEXTTOSPEECH TRUE)
  endif()
endif()
configure_file(config-kdepim.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdepim.h )


# Extra package
find_package(KF5GAPI "4.72.0" CONFIG)

include(GenerateExportHeader)

configure_file(kdepim-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdepim-version.h @ONLY)

include_directories(${kdepim_SOURCE_DIR} ${kdepim_BINARY_DIR})

set(KF5AkonadiServer_MIN_VERSION "5.0.51")
find_package(KF5AkonadiServer ${KF5AkonadiServer_MIN_VERSION} CONFIG REQUIRED)

find_package(Xsltproc)
set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces for all Akonadi resources.")

find_package(KF5AkonadiSearch "5.0.4" CONFIG REQUIRED)
set_package_properties(KF5AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "http://www.kde.org" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")

find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "The Zlib compression library" URL "http://www.zlib.net" TYPE REQUIRED)

set(Prison_MIN_VERSION "1.2.0")
find_package(KF5Prison ${Prison_MIN_VERSION} CONFIG)
set_package_properties(Prison PROPERTIES DESCRIPTION "The Prison library" URL "http://projects.kde.org/prison" TYPE OPTIONAL PURPOSE "Needed to show mobile barcodes of your contacts")

if( KF5GAPI_FOUND )
  add_definitions( -DKDEPIM_STORAGESERVICE_GDRIVE )
endif()

if(KDEPIM_ENTERPRISE_BUILD)
  message(STATUS "Enterprise build is enabled.")
endif()

############### Desktop vs. Mobile options ##############

if(KDEPIM_MOBILE_UI)
  add_definitions( -DKDEPIM_MOBILE_UI )
endif()
add_definitions(-DQT_USE_QSTRINGBUILDER)


find_package(Boost 1.34.0)
set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries" URL "http://www.boost.org" TYPE REQUIRED PURPOSE "Boost is required for building most KDEPIM applications")

# Kleopatra needs to know if the topological.hpp header exists (part of Boost_graph).
find_path(Boost_TOPOLOGICAL_SORT_DIR NAMES boost/graph/topological_sort.hpp PATHS ${Boost_INCLUDE_DIRS})
if(Boost_TOPOLOGICAL_SORT_DIR)
  message(STATUS "The Boost Topological_sort header was found. Building Kleopatra")
else()
  message(STATUS "The Boost Topological_sort header was NOT found. Kleopatra will not be built")
endif()


# config-enterprise.h is needed for both ENTERPRISE_BUILD and BUILD_EVERYTHING
configure_file(config-enterprise.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-enterprise.h )

add_subdirectory(noteshared)
add_subdirectory(libkdepim)
add_subdirectory(calendarsupport)
add_subdirectory(calendarviews)
add_subdirectory(incidenceeditor-ng)
add_subdirectory(libkdepimdbusinterfaces)
add_subdirectory(libkleo)
add_subdirectory(libkpgp)
add_subdirectory(libksieve)
add_subdirectory(kdgantt2)
add_subdirectory(icons)
add_subdirectory(composereditor-ng)
add_subdirectory(messagecore)
add_subdirectory(grantleetheme)
add_subdirectory(messagelist)
add_subdirectory(templateparser)
include (kleopatra/ConfigureChecks.cmake)

if(KF5Gpgmepp_FOUND)
  if(Boost_TOPOLOGICAL_SORT_DIR)
    add_subdirectory(kleopatra)
  endif()
endif()

add_subdirectory(messageviewer)
add_subdirectory(messagecomposer)
add_subdirectory(pimcommon)
add_subdirectory(mailcommon) 
add_subdirectory(kmail)
add_subdirectory(grantleeeditor)

if(KDEPIM_BUILD_EXAMPLES)
  add_subdirectory(examples)
endif()

add_subdirectory(korganizer)
add_subdirectory(korgac)
add_subdirectory(sieveeditor)
add_subdirectory(storageservicemanager)
add_subdirectory(kaddressbookgrantlee)
if(KDEPIM_BUILD_DESKTOP)
  add_subdirectory(agents)
  add_subdirectory(akregator)
  add_subdirectory(importwizard)
  add_subdirectory(kaddressbook)
  add_subdirectory(mboximporter)
  add_subdirectory(knotes)
  add_subdirectory(ktnef)
  add_subdirectory(mailimporter)
  add_subdirectory(pimsettingexporter)
  add_subdirectory(kalarm)
  add_subdirectory(blogilo)


  add_subdirectory(kontact)
endif()

add_subdirectory(akonadiconsole)
add_subdirectory(console)

add_subdirectory(plugins) # Must be after KMail

add_subdirectory(accountwizard)

# doc must be a subdir of kdepim or packagers will kill us
add_subdirectory(doc)

install( FILES kdepim.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

feature_summary(WHAT ALL
                INCLUDE_QUIET_PACKAGES
                FATAL_ON_MISSING_REQUIRED_PACKAGES
)

=== debian/changelog ===
kdepim (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release. 
  * Reset branch to revert all ABI changes. 
  * batchpatch symbols. Per sitter libmessagviewer
    ABI break does not warrent soversion twiddling.  

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 10 Oct 2015 02:40:23 -0700

kdepim (4:15.08.1-0ubuntu4) wily; urgency=medium

  * Make everything that isn't a lib depend on kdepim-runtime which provides
    runtime assets necessary for correct operation of kdepim.

 -- Harald Sitter <sitter@kde.org>  Wed, 07 Oct 2015 16:29:40 +0200

kdepim (4:15.08.1-0ubuntu3) wily; urgency=medium

  * Update symbols files.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Sep 2015 15:13:27 +0200

kdepim (4:15.08.1-0ubuntu2) wily; urgency=medium

  * No change rebuild against newer kdepimlibs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Sep 2015 10:10:31 +0100

kdepim (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Updated symbols files for i386 and amd64
  * Removed MISSING symbols
  * Update install files

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 17:26:47 +0100

kdepim (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Update testsuite.xsession for kf5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Sep 2015 11:49:09 +0100

kdepim (4:15.08.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Harald Sitter ]
  * Resolve a million lintian problems

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Aug 2015 12:58:16 +0100

kdepim (4:15.07.90-0ubuntu2) wily; urgency=medium

  * Update .install files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Aug 2015 12:52:12 +0100

kdepim (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ José Manuel Santamaría Lema ]
  * Build depend on the default boost libraries, this makes the package
    buildable with wily + proposed.

  [ Harald Sitter ]
  * KDE Frameworks 5 port
  * Remove kalarm-icons nonsense previously introduced for statusnotifiers
  * Removed packages:
    - *mobile*: mobile is now a build-time choice either-desktop-or-mobile
       which needs figuring out from scratch
    - kdepim-dev: no headers are being installed anymore. dbus interfaces and
      .so symlinks are still installed but listed in not-installed until they
      get removed upstream. Without headers they have 0 use.
    - kdepim-kresources: removed upstream
    - knode: removed upstream
    - kjots: removed upstream
    - ktimetracker: removed upstream
  * All so versions were increased by one. All package names adjusted
    accordingly.
  * New package:
    + accountwizard (intalled by kmail and kontact)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 06 Jun 2015 01:18:23 +0200

kdepim (4:4.14.8-0ubuntu2) UNRELEASED; urgency=medium

  * Vivid backport.

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 30 May 2015 07:10:46 -0700

kdepim (4:4.14.7-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release 
  * Fix watch file. 
  * wrap-and-sort. 
  * watch file again. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 16 Apr 2015 06:17:44 -0700

kdepim (4:4.14.6-0ubuntu3) wily; urgency=medium

  * debian/patches/boost1.58-moc-ftbfs: Guard some more boost includes with
    #ifndef Q_MOC_RUN to fix FTBFS.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 13 Aug 2015 11:55:20 +0100

kdepim (4:4.14.6-0ubuntu2) wily; urgency=medium

  * Unversioned boost build dependency

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2015 15:06:09 +0000

=== debian/control ===
Source: kdepim
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kdoctools-dev,
               kross-dev,
               libassuan-dev,
               libboost-dev,
               libboost-graph-dev,
               libgpgme11-dev,
               libgrantlee5-dev,
               libkf5akonadi-dev,
               libkf5akonadicalendar-dev,
               libkf5akonadicontact-dev,
               libkf5akonadimime-dev,
               libkf5akonadinotes-dev,
               libkf5akonadisearch-dev,
               libkf5akonadiserver-dev,
               libkf5alarmcalendar-dev,
               libkf5archive-dev,
               libkf5auth-dev,
               libkf5blog-dev,
               libkf5calendarcore-dev,
               libkf5calendarutils-dev,
               libkf5codecs-dev,
               libkf5config-dev,
               libkf5contacts-dev,
               libkf5dbusaddons-dev,
               libkf5dnssd-dev,
               libkf5gapi-dev,
               libkf5globalaccel-dev,
               libkf5gpgmepp-dev,
               libkf5holidays-dev,
               libkf5identitymanagement-dev,
               libkf5imap-dev,
               libkf5kcmutils-dev,
               libkf5kdelibs4support-dev,
               libkf5khtml-dev,
               libkf5kontactinterface-dev,
               libkf5ldap-dev,
               libkf5mailtransport-dev,
               libkf5mbox-dev,
               libkf5mime-dev,
               libkf5newstuff-dev,
               libkf5notifyconfig-dev,
               libkf5pimtextedit-dev,
               libkf5prison-dev,
               libkf5service-dev,
               libkf5sonnet-dev,
               libkf5syndication-dev,
               libkf5texteditor-dev,
               libkf5tnef-dev,
               libkf5wallet-dev,
               libkf5webkit-dev,
               libkf5xmlrpcclient-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev,
               libqt5webkit5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools,
               qtquick1-5-dev,
               qttools5-dev,
               shared-mime-info,
               xsltproc,
               zlib1g-dev
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: http://pim.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-sc/kdepim.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdepim.git

Package: kdepim
Section: metapackages
Architecture: all
Depends: accountwizard (>= ${source:Version}),
         akonadiconsole (>= ${source:Version}),
         akregator (>= ${source:Version}),
         blogilo (>= ${source:Version}),
         kaddressbook (>= ${source:Version}),
         kalarm (>= ${source:Version}),
         kdepim-runtime,
         kleopatra (>= ${source:Version}),
         kmail (>= ${source:Version}),
         knotes (>= ${source:Version}),
         konsolekalendar (>= ${source:Version}),
         kontact (>= ${source:Version}),
         korganizer (>= ${source:Version}),
         ${misc:Depends}
Description: Personal Information Management apps from the official KDE release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of Personal Information Management
 (PIM) desktop applications provided with the official release of KDE.

Package: kdepim-doc
Section: doc
Architecture: all
Suggests: doc-base, konqueror | www-browser
Breaks: kjots (<< 4:4.13.90), kmail (<< 4:4.13.90)
Replaces: kjots (<< 4:4.13.90), kmail (<< 4:4.13.90)
Description: KDE Personal Information Management library documentation
 KDE core library documentation. You need this documentation to develop KDE PIM
 applications.
 .
 This package is part of KDE, and a component of the KDE PIM module.
 See the 'kde' and 'kdepim' packages for more information.

Package: akregator
Section: web
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Breaks: kontact (<< 4:4.1.80)
Replaces: kontact (<< 4:4.1.80)
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator
 Akregator is a news feed reader. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.
 .
 This package is part of the KDE PIM module.

Package: accountwizard
Section: utils
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-runtime (<< 4:15.07.90~)
Replaces: kdepim-runtime (<< 4:15.07.90~)
Description: wizard for KDE PIM applications account setup
 Handles account setup of e-mail accounts for KDE PIM applications.
 .
 This package is part of the KDE PIM module.

Package: kaddressbook
Section: utils
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Breaks: kontact (<< 4:4.1.80), korganizer (<< 4:4.1.80)
Replaces: kontact (<< 4:4.1.80), korganizer (<< 4:4.1.80)
Description: address book and contact data manager
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.
 .
 This package is part of the KDE PIM module.

Package: kalarm
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: jovie
Homepage: http://www.astrojar.org.uk/kalarm/
Description: alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file. It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
 .
 This package is part of the KDE PIM module.

Package: storageservicemanager
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM storage servicce
 This package adds storage plugins for KDE PIM applications such as
 google-drive and dropbox.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kleopatra
Section: net
Architecture: any
Depends: dirmngr,
         gnupg-agent,
         gnupg2,
         gpgsm,
         kdepim-runtime,
         pinentry-qt4 | pinentry-x11,
         ${misc:Depends},
         ${shlibs:Depends}
Description: certificate Manager
 Kleopatra is a tool for managing X.509 certificates and pgp keys.
 .
 This package is part of the KDE PIM module.

Package: kmail
Section: mail
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: accountwizard, gnupg-agent, gnupg2, pinentry-qt4 | pinentry-x11
Suggests: clamav,
          kaddressbook,
          kleopatra,
          procmail,
          spamassassin | bogofilter | spambayes (>= 1.0.4-6) | bsfilter | crm114
Breaks: akonadi-kde (<< 4:4.1.3), kmailcvt (<< 4:3.90.0), kontact (<< 4:4.1.80)
Replaces: akonadi-kde (<< 4:4.1.3),
          kmailcvt (<< 4:3.90.0),
          kontact (<< 4:4.1.80),
          libkdepim4 (<< 4:4.13.90),
          libmessageviewer4 (<< 4:4.13.90)
Provides: imap-client, mail-reader
Homepage: http://kontact.kde.org/kmail/
Description: full featured graphical email client
 KMail is a fully-featured email client that fits nicely into the KDE
 desktop. It has features such as support for IMAP, POP3, multiple accounts,
 mail filtering and sorting, PGP/GnuPG privacy, and inline attachments.
 .
 This package also contains Nepomuk EMail Feeder Akonadi Agent.
 .
 This package is part of the KDE PIM module.

Package: knotes
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Breaks: kontact (<< 4:4.1.80)
Replaces: kontact (<< 4:4.1.80)
Description: sticky notes application
 KNotes is a program that lets you write sticky notes. The notes are saved
 automatically when you exit the program, and they display when you open the
 program.  The program supports printing and mailing your notes.
 .
 This package is part of the KDE PIM module.

Package: konsolekalendar
Architecture: any
Depends: kde-baseapps-bin, kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Description: konsole personal organizer
 KonsoleKalendar is a command-line interface to KDE calendars.
 KonsoleKalendar complements KOrganizer by providing a console
 frontend to manage your calendars.
 .
 This package is part of the KDE PIM module.

Package: kontact
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Recommends: accountwizard, akregator, kaddressbook, kmail, knotes, korganizer
Suggests: gnokii
Homepage: http://kontact.kde.org/
Breaks: akregator (<< 4:4.1.80), korganizer (<< 4:4.1.80)
Replaces: akregator (<< 4:4.1.80), korganizer (<< 4:4.1.80)
Description: integrated application for personal information management
 Kontact is the integrated solution to your personal information management
 needs. It combines applications like KMail, KOrganizer and
 KAddressBook into a single interface to provide easy access to mail,
 scheduling, address book and other PIM functionality.
 .
 This package is part of the KDE PIM module.

Package: korganizer
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Homepage: http://kontact.kde.org/korganizer/
Breaks: kaddressbook (<< 4:4.1.80), kontact (<< 4:4.1.80)
Replaces: kaddressbook (<< 4:4.1.80), kontact (<< 4:4.1.80)
Description: calendar and personal organizer
 This package contains KOrganizer, a calendar and scheduling program.
 .
 KOrganizer aims to be a complete program for organizing appointments,
 contacts, projects, etc. KOrganizer natively supports information interchange
 with other calendar applications, through the industry standard vCalendar
 personal data interchange file format. This eases the move from other
 modern PIMs to KOrganizer.
 .
 This package is part of the KDE PIM module.

Package: libcalendarsupport5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: calendar support library
 This library defines calendar related model objects for KDE PIM module
 applications and provides a common interface for accessing and managing
 calendars provided by Akonadi resources.
 .
 This package is part of the KDE PIM module.

Package: libcomposereditorng5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: compose editor library
 This package is part of the KDE PIM module.

Package: libeventviews5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: event viewing library
 This internal library implements a GUI framework for viewing various calendar
 events in agenda, list, month view or timeline fashion.
 .
 This package is part of the KDE PIM module.

=== debian/rules ===
#!/usr/bin/make -f

KDEPIM_RUNTIME_VERSION = 4:15.07.90

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

.PHONY: override_dh_auto_test

# Strict local dependencies (there are no external ones anyway)
override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_strip:
	$(overridden_command) --dbg-package=kdepim-dbg

override_dh_shlibdeps:
	$(overridden_command)
	set -e; \
	if [ -n "`ls debian/*.substvars 2>/dev/null`" ]; then \
	    echo "Tightening dependency on kdepim-runtime to (>= $(KDEPIM_RUNTIME_VERSION)"; \
	    sed -i '/^shlibs:[^=]\+=/{ s/\(^shlibs:[^=]\+=[[:space:]]*\|,[[:space:]]*\)\(kdepim-runtime\)\([[:space:]]*([[:space:]]*[><=]\+[^)]\+)\)\?/\1\2 (>= $(KDEPIM_RUNTIME_VERSION))/g }' debian/*.substvars; \
	fi
